MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022576Community[OCCT] OCCT:Data Exchangepublic2011-06-06 20:082012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022576: ShapeFix_Edge::SameParameter() now retains original 3D interval
DescriptionRLN: fix280
- Detailed description: See comments ShapeFix_Edge::SameParameter(). In the case
of periodic curve, 3D range lying
        outside of a period was previously adjusted to fit into it. Thus
copyedge used different ranges than original
        edge and in the case its pcurves had to be copied back, ranges and
pcurves became inconsistent.
        Test case - edge-fix280.brep. Use fixshape command in Draw and check 3rd
edge. Withoutout the fix the pcurve
        became wrong and new redundant edges were inserted.
- Dependency: None
Scenario to reproduce the problem.
-----------------------------------
In DRAW run
restore fix-280.brep e
fixshape fe e

check 3rd edge pcurves before and after fixshape.
TagsNo tags attached.
Test case numberchl 936 Y7
Attached Files? file icon test-fix280.brep (3,929 bytes) 2011-06-06 18:08
? file icon test-fix280-face.brep (6,306 bytes) 2011-06-27 11:50
gz file icon chl_936_Y7.tar.gz (874 bytes) 2011-07-12 14:08

- Relationships
child of 0022825closedabv Integration of contributions by Roman Lygin to OCCT 6.5.2 

-  Notes
(0017607)
kgv (developer)
2011-06-15 14:34

SVN branch http://svn/svn/occt/branches/OCC22576_ShapefixSameparameter [^] for
this BUG reviewed:
- Comments style should be corrected to follow coding rules.

Remarks was fixed and integrated into bug branch.
Branch is ready for testing.
(0017608)
ycy (tester)
2011-06-21 13:54
edited on: 2011-11-25 11:22

Dear BugMaster,
SVN branch (http://svn/svn/occt/branches/OCC22576_ShapefixSameparameter [^]) was
testing, regressions were not found, test results were compared with
KAS:dev:products-651-opt
Note:There is no enouth data to create test

See results in /KASDev/OCCTtests/KAS/dev/products-testing_16062011/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-651-opt_01062011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.html [^]

(0017609)
bugmaster (administrator)
2011-06-24 14:34

Fix has been integrated to occt repository

Date: 2011-06-24 12:31:36 +0400 (Fri, 24 Jun 2011)
New Revision: 8629

Modified:
   trunk/src/ShapeFix/ShapeFix_Edge.cxx
Log:
OCC22576 ShapeFix_Edge::SameParameter() now retains original 3D interval
Developed by : RLN
Revised by : SZY and KGV
(0017610)
bugmaster (administrator)
2011-06-24 14:35

Remarks for SZY:
There is no enouth data to create test case.
Please ask RLN to provide more data
(0017611)
szy (administrator)
2011-06-27 13:49

New data from RLN are attached.
Plus additional comments:
restore fix-280-face.brep f
#1st edge matches the description
fixshape ff f
#exception is thrown in 6.5.0:
An exception was caught 007956AC : Standard_ConstructionError: Geom_TrimmedCurve
::parameters out of range
** Exception ** 007956AC : Standard_ConstructionError: Geom_TrimmedCurve::parame
ters out of range

Fix280 fixes the problem and produces correct resulting face.
(0017613)
ycy (tester)
2011-07-12 16:07
edited on: 2011-11-25 11:24

Dear BugMaster,
SVN branch (http://svn/svn/occt/branches/OCC22576_ShapefixSameparameter [^]) was
testing, test results were compared with KAS:dev:products-651-opt

regressions were not found
Test case for this bug (chl/936/Y7)

improvements chl 936 Y7

See results in /KASDev/OCCTtests/KAS/dev/products-testing_16062011/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-651-opt_01062011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.html [^]

(0017615)
bugmaster (administrator)
2011-07-14 13:47

Fix has been integrated to occt repository
Date: 2011-06-24 12:31:36 +0400 (Fri, 24 Jun 2011)
New Revision: 8629

Modified:
   trunk/src/ShapeFix/ShapeFix_Edge.cxx

- Related Changesets
occt: master 31c3b8f0
Timestamp: 2011-06-24 08:31:36
Author: SZY and KGV
Committer: bugmaster
Details ] Diff ]
OCC22576 ShapeFix_Edge::SameParameter() now retains original 3D interval
mod - src/ShapeFix/ShapeFix_Edge.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-06-24 14:32 bugmaster Status closed => assigned
2011-06-24 14:32 bugmaster Resolution suspended => @0@
2011-06-24 14:34 bugmaster Status assigned => tested
2011-07-05 18:10 kgv CC => kgv
2011-07-14 13:47 bugmaster Status tested => verified
2011-07-29 15:31 bugmaster Fixed in Version EMPTY =>
2011-07-29 15:31 bugmaster Target Version => 6.5.2
2011-07-29 15:31 bugmaster Description Updated View Revisions
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-09-07 17:17 mkv Test case number => chl 936 Y7
2011-11-25 11:22 szy Note Edited: 0017608 View Revisions
2011-11-25 11:24 szy Note Edited: 0017613 View Revisions
2011-12-05 11:25 abv Relationship added child of 0022825
2012-01-17 18:34 abv Assigned To bugmaster => Roman Lygin
2012-03-29 17:26 bugmaster Changeset attached => occt master 31c3b8f0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker